Subject: Re: pata_sl82c105 can not reserve IO region

From: Alan <[email-masked]>
Date: Sun, 3 Dec 2006 23:39:02 +0000

On Sat, 02 Dec 2006 09:19:43 +1100
> We don't have a choice but to trust the firmware on those machines. We
> can't assign things ourselves on most of them for various reasons (in
> many cases, the hypervisor won't let us).
> 
> So you suggest that I clear resource->flags in that case ?

That will do the trick yes.
 
> I think part of the problem is a firmware bug in that the firmware data
> actually decodes to BAR 5 is assigned to address 0 ... I suppose we can
> consider that address 0 is never valid on those machines and consider
> that as unassigned 

The core PCI code already "knows" that zero in a resource_start() is
unassigned